Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.desktop
Class LibraryDesktopTemplateID

    java.lang.Object
      com.bea.portal.tools.resource.ResourceID
          com.bea.portal.tools.resource.framework.TaggedResourceID
              com.bea.portal.tools.portal.desktop.LibraryDesktopTemplateID

All Implemented Interfaces
  Serializable

    public final class LibraryDesktopTemplateID

extends com.bea.portal.tools.resource.framework.TaggedResourceID

Identifies library desktop template resource definitions.

See Also
  Serialized Form

Constructor Summary
`LibraryDesktopTemplateID(LibraryDesktopTemplateIDBuilder builder)` Constructor.
`LibraryDesktopTemplateID(String resourceURN)` Constructor.

Method Summary
`DesktopDefinitionId` | `getDesktopDefinitionId()`
`DesktopPath` | `getDesktopPath()`
`PortalID` | `getPortalID()` Get the `PortalID`
`PortalPath` | `getPortalPath()`
`protected LibraryDesktopTemplateIDBuilder` | `getResourceIDBuilder()` Get the `LibraryDesktopTemplateID`.
`String` | `getWebApplicationName()`
`protected void` | `setResourcePathTags(boolean canonicalResourceURN, com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceID
`appendResourcePath, getTag, getTags, getTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceID
`appendResourceTypeNamespaceURI, computeResourceURN, computeResourceURN, equals, getCanonicalResourceURN, getResourceEnvironment, getResourceType, getResourceURN, hashCode, narrow, setCanonicalResourceURN, setResourceURN, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LibraryDesktopTemplateID

    public LibraryDesktopTemplateID(String resourceURN)

  Constructor.

  Parameters
    `resourceURN` - the URN of the referrent resource

### LibraryDesktopTemplateID

    public LibraryDesktopTemplateID(LibraryDesktopTemplateIDBuilder builder)

  Constructor.

  Parameters
    `builder` - the `LibraryDesktopTemplateIDBuilder`

Method Detail

### getResourceIDBuilder

    protected LibraryDesktopTemplateIDBuilder getResourceIDBuilder()

  Get the `LibraryDesktopTemplateID`. the `LibraryDesktopTemplateID`

  Overrides:
    `getResourceIDBuilder` in class `com.bea.portal.tools.resource.framework.TaggedResourceID`
  Returns
    the the `ResourceIDBuilder`

### getPortalID

    public PortalID getPortalID()

  Get the `PortalID`

  Returns
    the `PortalID`

### getDesktopPath

    public DesktopPath getDesktopPath()

### getPortalPath

    public PortalPath getPortalPath()

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

### getWebApplicationName

    public String getWebApplicationName()

### setResourcePathTags

    protected void setResourcePathTags(boolean canonicalResourceURN,
                                       com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)

  Overrides:
    `setResourcePathTags` in class `com.bea.portal.tools.resource.framework.TaggedResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved